Skip to content

UsageProcedures

Add new Procedures to existing Usages

Path

POST /odata/UsageProcedures/BulkAdd

Description

Adds new Procedures to existing Usages within the logged-in organization.

Request body

For adding Procedure(s) to Usage(s)

Parameter
Explanation
usageId: string
required
in formData
Unique Identifier of the the Usage.
If not provided: 400 Bad Request.
procedureNo: string
required
in formData
Number of the Procedure.
It is populated from procedureNo if it is matched by Procedure No and Facility. You can add procedures only with unique values.
If not provided: 400 Bad Request.
Request Content-types: APPLICATION/JSON, APPLICATION/XML <br> Request Example
{
  "usageProcedures":[
    {
      "usageId": "00000000-0000-0000-0000-000000000000",
      "procedureNo": "string"
    }]
}

Request parameters

Parameter
Explanation
api-version: string default: 1.0
in header
The requested API version.
Authorization: string default:
Bearer access_token
in header
Specify the type of the token (bearer) and insert the access_token obtained during authentication.

Responses

Response
Explanation
200 OK OK
400 Bad Request The request contains incorrect input data.
401 Unauthorized The specified access_token is invalid or has expired.
403 Forbidden The user doesn’t have the appropriate privileges.
500 Internal Server Error The server encountered an unexpected condition that prevented it from fulfilling the request.
Response Content-types: APPLICATION/JSON, APPLICATION/XML<br>Response example (200 OK)
"object"